﻿namespace TestProject;

/// <summary>
/// 그래픽스 그리기 가능형
/// </summary>
public class GraphicsDrawable : IDrawable
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 그리기 - Draw(canvas, dirtyRectangle)

    /// <summary>
    /// 그리기
    /// </summary>
    /// <param name="canvas">캔버스</param>
    /// <param name="dirtyRectangle">더티 사각형</param>
    public void Draw(ICanvas canvas, RectF dirtyRectangle)
    {
        LinearGradientPaint linearGradientPaint = new LinearGradientPaint
        {
            StartColor = Colors.Yellow,
            EndColor   = Colors.Green,
            StartPoint = new Point(0, 0),
            EndPoint   = new Point(1, 1)
        };

        RectF rectangle = new RectF(50, 50, 250, 250);

        canvas.SetFillPaint(linearGradientPaint, rectangle);

        canvas.SetShadow(new SizeF(10, 10), 10, Colors.Grey);

        canvas.FillRoundedRectangle(rectangle, 10);
    }

    #endregion
}